*Inheritance: EventDispatcher → Material → NodeMaterial →*

# LineBasicNodeMaterial

Node material version of [LineBasicMaterial](LineBasicMaterial.html).

## Constructor

### new LineBasicNodeMaterial( parameters : Object )

Constructs a new line basic node material.

**parameters**

The configuration parameter.

## Properties

### .isLineBasicNodeMaterial : boolean (readonly)

This flag can be used for type testing.

Default is `true`.

## Source

[src/materials/nodes/LineBasicNodeMaterial.js](https://github.com/mrdoob/three.js/blob/master/src/materials/nodes/LineBasicNodeMaterial.js)